I can't seem to find any sloping reference plane I have inserted as a Top Constraint for a wall I want to draw under it. How to make that happen? The only Constraints visible are Levels and Levels only appear to allow themselves to be draw exactly horizontally.
I have two dynamic blocks. One is the plan view of a cylinder and one is the elevation view of a cylinder. When I change the parameter of the OD on the elevation, I want the plan view to change. I'd like to keep them as blocks (they're a little more complicated than just cylinders), but when I try to use parametrics to tie these two dimensions together I get: "Constraints cannot be applied between nested objects in the same block or Xref."
I found much info on creating 3D objects above X Y plane (which is Z), but I haven't been able to find info on creating objects on the underside of X Y plane (sub Z).
I outlined a bit of text, and then applied Effect > Warp > Arch. What I'd like to do is cut apart parts of the now outlined letters. I tried to use the pathfinder palette, but it applies the pathfinder to old, non-arched shape.
I want to move a large 3D steel file on top of a 2D architectural background. The ISSUE is that when i move it (in plan view "aka top view") the X,Y coordinates change AND the Z coordinate changes... But, I want the Z coordinate to stay the same . I wrote a LISP file that doesnt seem to work (SEE BELOW):
(defun C:MoveXY (/ PT1 PTB PT2)(setvar "CMDECHO" 0)(setq PT1 (getpoint " Specify Base Point or [Displacement] Displacement: ")PTB (getpoint " Specify second point or <use first point as displacement>: ")PT2 (list (car PTB)(cadr PTB)(cddr PT1)))(command "_.MOVE" (SSGET) "" PT1 PT2))
It seems my issue comes when i get to the command line (ssget) seems to mess it all up . How to use the ".Move" command with the (ssget) function?
I am designing a vertical axis wind turbine just for some practice (just started using Inventor) and everything was going smoothly until I tried to "animate" it spinning. First, I set up a work plane that goes through the center of the structure, and then I clicked angle constraint "explicit reference vector." After watching several youtube videos, I figured that I should click on the work plane, click on another reference point, and then click another point that would be orthogonal to those two (right?). Well after I choose the first point, Inventor will only allow me to choose the center axis as the second option (which I think should be the third option).
I'm working on a complex closed object shape originally made from a plane and want to do Boolean to it.
So when a plane get Boolean-ed with a sphere, it just turns to plane with a hole. Different when a standard box get Boolean-ed with a sphere, it turns into a box with a 1/2 sphere hole.
My question is, is it possible to turns a plane into solid 3D objects like box, sphere,etc..? So it's able to get Boolean-ed correctly?
I add a picture of simpler analogy p.s. the box and the box-ed plane is an editable poly
I have a client who requested some complex custom linetypes. (line - shape - line)
I built the shapes and stored them in my ltype.shp file, and compiled that to ltype.shx. Then I added the custom linetypes in my acad.lin file. So everything works on my machine with no problem. However, when I send the drawing to someone else, the linetype works, but the shapes are left out. My guess is that since her ltype.shx file does not contain my new shapes, the lines are just drawn without them.
Is there a way that I can have those linetypes, complete with shapes, ride along inside/embedded the dwg file?
And before you ask, no, it's not an option to provide the client with the shx file that contains these shapes. I'm one of many different people in many different companies that might work on these drawings in the future and there's just no way that they'll be able to send an shx file along with the drawing every time someone new needs to work on it.
Completed a project. Wanted to show the customer the end result and go over changes on my laptop. Copied the directory to my laptop. None of the Nuts & bolts will show up on the laptop version. Got a new desktop computer. Same problem. My completed version doesn't show the content center items, Hence drawings & assemblies are always un-resolved. How can I get the Content center files to show up without deleting and reinserting the items.
Also how can I make the content center parts I place into the model reside in the local path.
How to make a new work plane rotated at an angle to another plane and passing through the axis of a cylinder, or one of the main axes.On the plane commands, in V2013, i don't find an option for plane at an angle
I run the CUI command, and use the command search to find an old macro command that I created a while back. I edit the macro in the right-hand pane and then click APPLY, and then OK to exit the CUI. But the changes that I made are not there - when I run the command in AutoCAD, it executes the old version of the macro.
So I tried it again, only this time I exited out of AutoCAD and re-launched. Still nothing.
This is very strange, because I've been composing and editing macros (attached to toolbar buttons) with CUI for years, and this is the first time I've ever had this problem. But it is worth noting that this is the first time I've tried to do this in our current version of ACAD, which is 2012 vanilla.
I have a problem with scaling and rotation when I apply one tag coming from palette tool. I use ACA 2013 METRIC and this problem did not exist in 2012.
I attached a file to do the test. Drag the tag to your tool palettes in space and try to apply the design to see the problem.
complex assembly in Inventor 2013 with a number of drive constraints set up, which I can drive in the assembly but not in inventor studio... there don't appear to be any conflicting constraints in the assembly
How to use the command “select similar” to be applied on a selected part of the drawing? I wanted to use the “select similar” command to select all the columns for a particular drawing on the file but not in all the existing drawings. This is why I number obtained is 60 columns not 20!
Then how to choose the “window selection” in which the “select similar” command is applied?
So we receive a drawing from a partner and open it, and get this message, which is expected since FONTALT set to nothing
No problem, we click "Specify a replacement...", then get this dialog.
Where a replacement font is selected (it doesn't matter if we choose a TTF or SHX), and then the drawing continues to open. At this point we presume that any text with the style named "Style-WORKING" is going to be displayed using "Times New Roman".
But alas, open the STYLE dialog and.....surprise:
The font replacement never occurred. At this point if we choose a font and press Apply then REGEN the drawing, the text with the style "style-WORKING" shows up.
This sequence of events (except for the last step) occurred for a user and some important text in the drawing was overlooked because if was not being displayed. Even setting QTEXTMODE = 1 does not show the missing text rectangles.
So what is the point in telling the user that a font cannot be found and prompting him for a replacement font if it isn't going to be applied? (Yes, I know the sender should have used eTransmit, etc., but that isn't the point here)
I was running a simulation with success including gravity and applied loads. I was checking both stresses and deflections. Both were in line with what I was expecting. The next day I went to change a few dimensions and run it again. The stresses and deflections were significantly less than expected (I did not tweak the dimensions very much). I changed my dimensions, remeshed and ran it again. It worked fine and returned expected results. I continued in this manner tweaking the size of my box.
Finally I went for one last run.... it didn't work again. It returned the significantly less than expected results. A bit of investigating revealed that it is only applying the gravity loads during the simulation. All of the applied loads are being disregarded (however, they show up in the report as if they are being applied.) If I supress the gravity my stress and deflections return 0 values. I have tried taking my loads off and reapplying them. I have tried removing the gravity load. I have remeshed. I have inputted my loads and the gravity in different orders. I cannot get my simulation to calculate using my applied loads. It was working fine.... what happened?
In my line of work, the constraints are fantastic. I do use them a lot for the design and drafting.But, somehow, they are slightly buggy. I wanted to know if there is something I can do to make them better.The problems are:
1- Sometimes I can't add a constraint that I KNOW will not overconstraint and that CAN be added. This happens for all the constraints types. For example, sometimes I have one big block with the plot plan of the factory and I want to make a constraint of one other smaller block (an equipment, for example). The constraint is a simple coincident. The plotplan has several objects constrained to it (blocks, lines, etc.) but the smaller equipment block has no constraint whatsoever. Why doesn't it work?
I created a partial sphere with six features on the surface of the sphere. I then applied a circular pattern to each of the siz features. I called the features r1, r2, ..., r6.
r1, r2, r5 and r6 worked as expected. there are 16 features evenly spaced around the surface.
r3 and r4 are different in that the original feature is missing after applying the circular pattern.
each of the six features is as identical as I could get them. I followed the same build seauence for all of them.
each feature is made up of four objects - cut1, cut2, sweep and dimple. I selected the four objects for a row, then applied the circular pattern.
If I delete the circular pattern for r3 or r4, the original feature becomes visible again.
So, why are r3 and r4 behaving differenly than the other four?
I have tried a number of things, including re-drawing feature r3 from scratch with no change in teh results.
I have an assembly which has components mated to a radial surface, I need to locate the center of a round slot against an axis, I have X Y coordinates, how can I constrain that part to those X Y coordinates?
Maybe I've just been doing it wrong for the last 5 years, but the Angle constraint is obnoxiously unpredictable. When I constrain a part in an assembly with an angle constraint from the assembly origin plane (or anything else), Inventor always has two solutions; a positive and negative.
Is there something I'm missing here, or is just a design flaw we have to live with?
Coincident Constraint to be offset? I'm trying to constrain a table and a MTEXT object together but they are "mating" at their Insertion Points. I cannot successfully "move" these two points, keeping them constrained.